<template>
  <div class="grid-container">
    <v-timeline>
      <v-timeline-item
        dot-color="red"
        fill-dot
      >
        <v-card>
          <v-card-title  style="background-color: red; color: white;">
            
            <h2 class="font-weight-light">
                เศรษฐกิจประชารัฐ
            </h2>
          </v-card-title>
          <v-card-text>
            ยกระดับความสามารถผู้ผลิต 5 ล้าน Smart SMEs 1 ล้าน, Smart Farmers 1 ล้าน, Startups 1 ล้าน,
Makers และ 1 ล้านค้าปลีกชุมชน
          </v-card-text>
        </v-card>
      </v-timeline-item>
  
      <v-timeline-item  
        dot-color="rgb(0, 0, 169)"
        fill-dot
        size="x-small"
      >
        <v-card>
          <v-card-title style="background-color: rgb(0, 0, 169); color: white;">
            <h2 class="me-4 font-weight-light">
                เศรษฐกิจประชารัฐ
            </h2>
            
          </v-card-title>
          <v-card-text>
            ก้าวสู่เกษตรประชารัฐ 4.0 ปรับโครงสร้างภาคเกษตร ด้วยนโยบาย “3 เพิ่ม 3 ลด” นั่นคือ “เพิ่มรายได้ เพิ่มนวัตกรรม
เพิ่มทางเลือก” และ “ลดภาระหนี้ ลดความเสี่ยง ลดต้นทุน”
          </v-card-text>
        </v-card>
      </v-timeline-item>
  
      <v-timeline-item
        dot-color="red"
        fill-dot
      >
        <v-card>
          <v-card-title style="background-color: red; color: white;">
            
            <h2 class="font-weight-light">
                เศรษฐกิจประชารัฐ
            </h2>
          </v-card-title>
          <v-card-text>
            กระจายรายได้ กระจายโอกาส ด้วยการท่องเที่ยวชุมชน เพื่อให้ประชาชนในพื้นที่มีรายได้ สร้างเส้นทางเชื่อมโยงชุมชนสู่ชุมชน
          </v-card-text>
        </v-card>
      </v-timeline-item>
  
      <v-timeline-item
        dot-color="rgb(0, 0, 169)"
        fill-dot
        size="x-small"
      >
        <v-card>
          <v-card-title style="background-color: rgb(0, 0, 169); color: white;">
            <h2 class="me-4 font-weight-light">
                เศรษฐกิจประชารัฐ
            </h2>
            
          </v-card-title>
          <v-card-text>
            ชูเศรษฐกิจสร้างสรรค์และเศรษฐกิจแบ่งปัน เพราะจุดแข็งของประเทศไทย ประการหนึ่ง คือ ความคิดสร้างสรรค์และ
วัฒนธรรมของความเกื้อกูลแบ่งปัน
          </v-card-text>
        </v-card>
      </v-timeline-item>
  
      <v-timeline-item
        dot-color="red"
        fill-dot
      >
        <v-card>
          <v-card-title style="background-color: red; color: white;">
            
            <h2 class="font-weight-light">
                เศรษฐกิจประชารัฐ
            </h2>
          </v-card-title>
          <v-card-text>
            สร้างเศรษฐกิจชีวภาพ อุตสาหกรรมหมุนเวียน นวัตกรรมสีเขียว ซึ่งเป็นเศรษฐกิจสำคัญที่ประเทศไทยมีโอกาสแข่งขันในเวทีโลก
และตอบโจทย์ “การพัฒนาอย่างยั่งยืน” ครอบคลุมถึงการเกษตรและอาหาร การแพทย์และสุขภาพ พลังงานและการท่องเที่ยว
          </v-card-text>
        </v-card>
      </v-timeline-item>
    </v-timeline>

  </div>

  </template>

<script>
export default {

}
</script>

<style scoped>
.v-timeline{
  margin:0px 50px;
  margin-bottom: 2rem;   
}

.grid-container {
     display: grid;
     grid-column-gap: 0.5rem;
     grid-row-gap: 0.5;
 }

 @media (min-width: 659px) {
     .grid-container {
         grid-template-columns: repeat(1, 1fr);
     }
 }

 @media (min-width: 1902px) {
     .grid-container {
         grid-template-columns: repeat(1, 1fr);
     }
 }

</style>